package cn.com.infosec.asn1;

class DERFactory {
   static final DERSequence EMPTY_SEQUENCE = new DERSequence();
   static final DERSet EMPTY_SET = new DERSet();

   static DERSequence createSequence(ASN1EncodableVector v) {
      DERSequence var1;
      if (v.size() < 1) {
         DERSequence v1 = EMPTY_SEQUENCE;
         var1 = v1;
      } else {
         var1 = new DERSequence.<init>((DEREncodableVector)v);
      }

      return var1;
   }

   static DERSet createSet(ASN1EncodableVector v) {
      DERSet var1;
      if (v.size() < 1) {
         DERSet v1 = EMPTY_SET;
         var1 = v1;
      } else {
         var1 = new DERSet.<init>((DEREncodableVector)v);
      }

      return var1;
   }

   static DERSet createSet(ASN1EncodableVector v, boolean needsSorting) {
      DERSet var2;
      if (v.size() < 1) {
         DERSet v1 = EMPTY_SET;
         var2 = v1;
      } else {
         var2 = new DERSet.<init>(v, needsSorting);
      }

      return var2;
   }
}
